/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_VEDSERVICE_VEDSERVICE_COMMON_H
#define JAC_AP_VEDSERVICE_VEDSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "dpc/impl_type_ved4dpc.h"
#include "dpc/impl_type_ved4fusionegomotion.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace vedservice {

class VEDService {
public:
    constexpr VEDService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/VEDService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace vedservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_VEDSERVICE_VEDSERVICE_COMMON_H
